@import "@/styles/variables";

.navbar {
    @include notebook {
        display: flex;
        flex-direction: row-reverse;
        gap: 1rem;
    }

    @include desktop {
        padding-right: calc((100vw / 12) - $padding-lg);
    }

    &__button {
        position: relative;
        cursor: pointer;
        height: 34px;
        min-width: 110px;
        right: -$padding-sm;
        border-radius: $border-radius-menu;
        padding: 0.56rem 1rem;
        background-color: $primary-color;
        box-shadow: $shadow;
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 0.75rem;
        color: $white;
        z-index: 200;

        @include notebook {
            display: none;
        }
    }

    &__title {
        @include paragraph-lg;
    }

    &__burger {
        height: 1.25rem;
        transition: all 0.25s;

        &:active {
            transform: rotate(90deg);
            opacity: 0.3;
        }
    }

    &__menu {
        transition: all 0.5s;
        position: fixed;
        top: 0;
        right: -100vw;
        min-width: 100vw;
        min-height: 100vh;
        background-color: $white;
        padding: 8rem 2rem;
        z-index: 80;

        @include notebook {
            background-color: transparent;
            padding: 0;
            min-width: auto;
            min-height: 3.5rem;
            display: inline-block;
            position: relative;
            right: 0;
        }
    }

    ul {
        @include col;

        gap: 1.5rem;
        padding-left: 0;

        @include notebook {
            @include row;

            gap: 2rem;
            padding-top: 15px;
        }
    }

    .dropdown-list {
        @include col;

        gap: 1rem;
        padding-left: 0;
    }

    li {
        transition: all 0.2s;
        width: fit-content;
        white-space: nowrap;
        font-size: 24px;
        line-height: 32px;
        font-weight: 700;
        display: flex;
        flex-direction: column;

        @include notebook {
            font-size: 14px;
            line-height: 20px;
            font-weight: 500;
            text-transform: uppercase;
        }

        .dropdown {
            font-size: 20px;
            line-height: 28px;
            font-weight: 600;

            @include notebook {
                font-size: 14px;
                line-height: 20px;
                font-weight: 400;
            }
        }

        .disabled {
            pointer-events: none;
            cursor: not-allowed;

            a {
                color: $disabled-gray;
            }
        }
    }

    a {
        &:hover,
        &:active {
            text-decoration: underline 3px solid !important;
            text-underline-offset: 12px;
        }
    }

    .open {
        right: 0;
        opacity: 1;
    }

    .disabled {
        opacity: 0.6;
        pointer-events: none;
    }

    .active {
        text-decoration: underline 3px solid;
        text-underline-offset: 12px;
    }
}
